## org.apache.commons.math.analysis
Interface BivariateRealFunction

All Known Implementing Classes:
  BicubicSplineFunction, BicubicSplineInterpolatingFunction, BinaryFunction

    public interface BivariateRealFunction

An interface representing a bivariate real function.

Since:
  2.1
Version:
  $Revision: 1073498 $ $Date: 2011-02-22 21:57:26 +0100 (mar. 22 févr. 2011) $

Method Summary
`double` `value(double x, double y)` Compute the value for the function.

Method Detail

### value

    double value(double x,
                 double y)
                 throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - Abscissa for which the function value should be computed.
    `y` - Ordinate for which the function value should be computed.
  Returns:
    the value.
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails.

Copyright (c) 2003-2013 Apache Software Foundation